// @ts-ignore
/* eslint-disable */
import { invoke as request } from '@/core/network';

/** 用户详情 GET /apis/clients/user/details */
export async function getUserDetailsApi(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: SectApi.getUserDetailsApiParams,
  options?: { [key: string]: any },
) {
  return request<SectApi.UserVO>('/apis/clients/user/details', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 修改密码 POST /apis/clients/user/edit_pwd */
export async function postUserEditPwdApi(
  body: SectApi.UserPwdEditQuery,
  options?: { [key: string]: any },
) {
  return request<boolean>('/apis/clients/user/edit_pwd', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}
