// @ts-ignore
/* eslint-disable */
import { invoke as request } from '@/core/network';

/** 用户等级详情 GET /apis/clients/userLevel/details */
export async function getUserLevelDetailsApi(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: SectApi.getUserLevelDetailsApiParams,
  options?: { [key: string]: any },
) {
  return request<SectApi.UserLevelVO>('/apis/clients/userLevel/details', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 分页查询用户等级 POST /apis/clients/userLevel/page */
export async function postUserLevelPageApi(
  body: SectApi.UserLevelPageQuery,
  options?: { [key: string]: any },
) {
  return request<SectApi.IPageUserLevelVO>('/apis/clients/userLevel/page', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}
