// @ts-ignore
/* eslint-disable */
import { invoke as request } from '@/core/network';

/** 获取用户签到次数 GET /apis/clients/user_sign/cnt */
export async function getUserSignCntApi(options?: { [key: string]: any }) {
  return request<number>('/apis/clients/user_sign/cnt', {
    method: 'GET',
    ...(options || {}),
  });
}

/** 查询用户当天是否签到 GET /apis/clients/user_sign/is_sign */
export async function getUserSignIsSignApi(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: SectApi.getUserSignIsSignApiParams,
  options?: { [key: string]: any },
) {
  return request<boolean>('/apis/clients/user_sign/is_sign', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 获取用户签到列表 GET /apis/clients/user_sign/list */
export async function getUserSignListApi(options?: { [key: string]: any }) {
  return request<number[]>('/apis/clients/user_sign/list', {
    method: 'GET',
    ...(options || {}),
  });
}

/** 用户签到 GET /apis/clients/user_sign/sign */
export async function getUserSignSignApi(options?: { [key: string]: any }) {
  return request<boolean>('/apis/clients/user_sign/sign', {
    method: 'GET',
    ...(options || {}),
  });
}
