// @ts-ignore
/* eslint-disable */
import { invoke as request } from '@/core/network';

/** 宗门等级详情 GET /apis/clients/factionLevel/details */
export async function getFactionLevelDetailsApi(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: SectApi.getFactionLevelDetailsApiParams,
  options?: { [key: string]: any },
) {
  return request<SectApi.FactionLevelVO>('/apis/clients/factionLevel/details', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 分页查询宗门等级 POST /apis/clients/factionLevel/page */
export async function postFactionLevelPageApi(
  body: SectApi.FactionLevelPageQuery,
  options?: { [key: string]: any },
) {
  return request<SectApi.IPageFactionLevelVO>('/apis/clients/factionLevel/page', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}
