// @ts-ignore
/* eslint-disable */
import { invoke as request } from '@/core/network';

/** 峰等级详情 GET /apis/clients/peakLevel/details */
export async function getPeakLevelDetailsApi(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: SectApi.getPeakLevelDetailsApiParams,
  options?: { [key: string]: any },
) {
  return request<SectApi.PeakLevelVO>('/apis/clients/peakLevel/details', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 分页查询峰等级 POST /apis/clients/peakLevel/page */
export async function postPeakLevelPageApi(
  body: SectApi.PeakLevelPageQuery,
  options?: { [key: string]: any },
) {
  return request<SectApi.IPagePeakLevelVO>('/apis/clients/peakLevel/page', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}
